Name:		perl-MooseX-Types-Path-Tiny
Summary:	Path::Tiny types and coercions for Moose
Version:	0.010
Release:	2%{?dist}
License:	ASL 2.0
URL:		http://search.cpan.org/dist/MooseX-Types-Path-Tiny/
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/MooseX-Types-Path-Tiny-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(Module::Build::Tiny) >= 0.034
# Module Runtime
BuildRequires:	perl(if)
BuildRequires:	perl(Moose) >= 2
BuildRequires:	perl(MooseX::Types)
BuildRequires:	perl(MooseX::Types::Moose)
BuildRequires:	perl(MooseX::Types::Stringlike)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(File::pushd)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Moose::Conflicts)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(version)
# Optional Test Requirements
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.120900
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides Path::Tiny types for Moose. It handles two important
types of coercion:

 * Coercing objects with overloaded stringification

 * Coercing to absolute paths

It also can check to ensure that files or directories exist.

%prep
%setup -q -n MooseX-Types-Path-Tiny-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%check
./Build test

%files
%doc Changes CONTRIBUTING LICENSE README README.md
%{perl_vendorlib}/MooseX/
%{_mandir}/man3/MooseX::Types::Path::Tiny.3*

%changelog
* Sat Mar 29 2014 Paul Howarth <paul@city-fan.org> - 0.010-2
- Incorporate feedback from package review (#1081966)
  - BR: perl(Moose::Conflicts) for test suite

* Thu Mar 27 2014 Paul Howarth <paul@city-fan.org> - 0.010-1
- Initial RPM version
